## tdesdk-trinity 14.2.0~pre105

=== kspy/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kspy.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### kspy (shared) #############################

tde_add_library( kspy SHARED AUTOMOC
  SOURCES
    navviewitem.cpp propsview.cpp navview.cpp spy.cpp sigslotview.cpp
    receiversview.cpp classinfoview.cpp
  VERSION 1.2.0
  LINK tdeui-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kuiviewer/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kuiviewer )

install( FILES
    kuiviewerui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kuiviewer )

tde_create_translated_desktop(
  SOURCE kuiviewer.desktop
  PO_DIR kuiviewer-desktops
)

tde_create_translated_desktop(
  SOURCE kuiviewer_part.desktop designerthumbnail.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kuiviewer-desktops
)

install( FILES
    kuiviewer_part.rc
  DESTINATION ${DATA_INSTALL_DIR}/kuiviewerpart )


##### libkuiviewerpart (module) #################

tde_add_kpart( libkuiviewerpart AUTOMOC
  SOURCES kuiviewer_part.cpp
  LINK tdetexteditor-shared ${TQT_LIBRARIES} tqui
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### quithumbnail (module) #####################

tde_add_kpart( quithumbnail
  SOURCES quicreator.cpp
  LINK ${TQT_LIBRARIES} tqui
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kuiviewer (executable) ####################

tde_add_executable( kuiviewer AUTOMOC
  SOURCES main.cpp kuiviewer.cpp
  LINK tdetexteditor-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== scripts/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( PROGRAMS
    create_makefile create_makefiles adddebug cheatmake makeobj kde-build
    build-progress.sh pruneemptydirs cvsbackport cvsversion cvscheck
    cvslastchange cvslastlog cvsrevertlast noncvslist cvs-clean cvs2dist
    cvsblame cvsforwardport create_cvsignore colorsvn create_svnignore
    nonsvnlist svn2dist svnaddcurrentdir svnbackport svnforwardport
    svn-clean svngettags svnlastchange svnlastlog svnrevertlast
    svnversions svnchangesince findmissingcrystal tdesvn-build
    kdedoc qtdoc extractrc extractattr zonetab2pot.py licensecheck
    fixkdeincludes fixuifiles includemocs cxxmetric extend_dmalloc
    tdekillall kdelnk2desktop.py package_crystalsvg png2mng.pl
    kdemangen.pl
  DESTINATION ${BIN_INSTALL_DIR} )


install( FILES
    tdesvn-buildrc.xml
  DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax )


macro( _pod2man )
  foreach( _pod ${ARGN} )
    add_custom_command(
      OUTPUT ${_pod}.1
      COMMAND pod2man ${CMAKE_CURRENT_SOURCE_DIR}/${_pod} > ${_pod}.1
      DEPENDS ${_pod} )
    add_custom_target( "${_pod}-man" ALL DEPENDS ${_pod}.1 )
    install( FILES ${CMAKE_CURRENT_BINARY_DIR}/${_pod}.1 DESTINATION ${MAN_INSTALL_DIR}/man1 )
  endforeach( )
endmacro()

_pod2man( kde-build tdesvn-build cvsversion noncvslist cvsblame includemocs )

=== tdeioslave/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( svn )

=== doc/kbabel/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kbabel )

=== doc/kompare/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kompare )

=== kbabel/addons/preview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../../common
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE pothumbnail.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kbabel-desktops
)


##### pothumbnail (module) ######################

tde_add_kpart( pothumbnail
  SOURCES pothumbcreator.cpp
  LINK kbabelcommon-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kbabel/datatools/length/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../../common
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kbabel_lengthtool.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kbabel-desktops
)


##### kbabel_lengthtool (module) ################

tde_add_kpart( kbabel_lengthtool AUTOMOC
  SOURCES main.cpp
  LINK kbabelcommon-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kbabel/kbabel/icons/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons(
    msgid2msgstr nexterror nextfuzzy nextfuzzyuntrans nextuntranslated
    preverror prevfuzzy prevfuzzyuntrans prevuntranslated search2msgstr
    transsearch insert_tag diff autodiff togglefuzzy insert_arg
    spellcheck_all spellcheck_actual spellcheck_from_cursor
    spellcheck_selected catalogmanager
  DESTINATION ${DATA_INSTALL_DIR}/kbabel/icons )

=== kbabel/kbabel/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    broken.png missing.png needwork.png ok.png pref_identity.png
    splash.png noflag.png
  DESTINATION ${DATA_INSTALL_DIR}/kbabel/pics )

=== umbrello/umbrello/headings/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    heading.adb heading.ads heading.as heading.cpp heading.cs heading.d
    heading.h heading.idl heading.java heading.js heading.php heading.pm
    heading.py heading.rb heading.sql heading.xsd
  DESTINATION ${DATA_INSTALL_DIR}/umbrello/headings )

=== umbrello/umbrello/refactoring/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### refactoring (static) ######################

tde_add_library( refactoring STATIC AUTOMOC
  SOURCES refactoringassistant.cpp
)

=== debian/changelog ===
tdesdk-trinity (4:14.2.0~pre105-0raspbian13.0.0+6) raspbian-trixie; urgency=low

  * Automated git build for 7f87710b4ba7a434330c80e28d70471a6a09918e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: tdesdk-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
 pkg-config, tdelibs14-trinity-dev, binutils-dev, bison, flex, libfl-dev | flex (<< 2.5.39),
 tdepim-trinity-dev, libapr1-dev, libtdepim1-trinity-dev,
 libktnef1-trinity-dev, libsvn-dev, libdb-dev,
 libiberty-dev | binutils-dev (<< 2.23.91.20131123-1~), dh-python
Standards-Version: 3.8.4

Package: tdesdk-trinity
Architecture: all
Section: tde
Replaces: kdesdk-trinity (<< 4:14.0.0~)
Breaks: kdesdk-trinity (<< 4:14.0.0~)
Depends: cervisia-trinity (>= ${source:Version}), kapptemplate-trinity (>= ${source:Version}), kbabel-trinity (>= ${source:Version}), kbugbuster-trinity (>= ${source:Version}), tdecachegrind-trinity (>= ${source:Version}), tdesdk-tdefile-plugins-trinity (>= ${source:Version}), tdesdk-tdeio-plugins-trinity (>= ${source:Version}) | tdesvn-tdeio-plugins-trinity, tdesdk-misc-trinity (>= ${source:Version}), tdesdk-scripts-trinity, kmtrace-trinity (>= ${source:Version}), kompare-trinity (>= ${source:Version}), kspy-trinity (>= ${source:Version}), kuiviewer-trinity (>= ${source:Version}), tdeunittest-trinity (>= ${source:Version}), poxml-trinity (>= ${source:Version}), umbrello-trinity (>= ${source:Version})
Suggests: tdecachegrind-converters-trinity, kbabel-trinity-dev, tdesdk-trinity-doc-html
Description: software development kit from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the Trinity Software Development Kit, a collection
 of applications and tools useful for developing TDE applications.

Package: tdesdk-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdesdk-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdesdk-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdesdk-trinity
Description: Trinity Software Development Kit documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE SDK documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/umbrello/. Documentation is provided for most
 TDE SDK packages.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: cervisia-trinity
Architecture: any
Section: devel
Replaces: cervisia-trinity (<< 4:14.0.0~)
Breaks: cervisia-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
Description: a graphical CVS front end for Trinity
 Cervisia is a TDE-based graphical front end for the CVS client.
 .
 As well as providing both common and advanced CVS operations, it offers
 a variety of methods for graphically viewing information about the CVS
 repository, your own sandbox and the relationships between different
 versions of files.  A Changelog editor is also included and is coupled
 with the commit dialog.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kapptemplate-trinity
Architecture: all
Section: devel
Replaces: kapptemplate-trinity (<< 4:14.0.0~)
Breaks: kapptemplate-trinity (<< 4:14.0.0~)
Recommends: automake1.9 | automaken, tdelibs14-trinity-dev
Description: creates a framework to develop a Trinity application
 KAppTemplate is a shell script that will create the necessary
 framework to develop various TDE applications.  It takes care of the
 autoconf/automake code as well as providing a skeleton and example of
 what the code typically looks like.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbabel-trinity
Architecture: any
Section: devel
Replaces: kbabel-trinity (<< 4:14.0.0~)
Breaks: kbabel-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
Description: PO-file editing suite for Trinity
 This is a suite of programs for editing translation message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbabel-trinity-dev
Architecture: any
Section: libdevel
Replaces: kbabel-trinity-dev (<< 4:14.0.0~)
Breaks: kbabel-trinity-dev (<< 4:14.0.0~)
Depends: kbabel-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: PO-file editing suite for Trinity (development files)
 This is a suite of programs for editing translation message files (PO-files).
 It is designed to help you translate fast and consistently.
 .
 This suite includes KBabel, CatalogManager and KBabelDict.  KBabel is an
 advanced and easy to use PO-file editor with full navigational and editing
 capabilities, syntax checking and statistics.  CatalogManager is a multi
 functional catalog manager which allows you to keep track of many
 PO-files at once.  KBabelDict is a dictionary to assist with searching
 for common translations.
 .
 This package contains the KBabel development files.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kbugbuster-trinity
Architecture: any
Section: devel
Replaces: kbugbuster-trinity (<< 4:14.0.0~)
Breaks: kbugbuster-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a front end for the Trinity bug tracking system
 KBugBuster is a GUI front end for the TDE bug tracking system.
 It allows the user to view and manipulate bug reports and provides a
 variety of options for searching through reports.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdecachegrind-trinity
Architecture: any
Section: devel
Replaces: kcachegrind-trinity (<< 4:14.0.0~)
Breaks: kcachegrind-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: valgrind-callgrind-trinity | valgrind-calltree-trinity, graphviz
Suggests: tdecachegrind-converters-trinity, khelpcenter-trinity, tdesdk-trinity-doc-html
Description: visualisation tool for valgrind profiling output
 TDECachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 For visualising the output from other profiling tools, several converters
 can be found in the tdecachegrind-converters package.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdecachegrind-converters-trinity
Architecture: all
Section: devel
Replaces: kcachegrind-converters-trinity (<< 4:14.0.0~)
Breaks: kcachegrind-converters-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, ${python3:Depends}, php-cli | php5-cli
Recommends: tdecachegrind-trinity
Description: format converters for TDECachegrind profiling visualisation tool
 This is a collection of scripts for converting the output from
 different profiling tools into a format that TDECachegrind can use.
 .
 TDECachegrind is a visualisation tool for the profiling data generated
 by calltree, a profiling skin for valgrind.  Applications can be
 profiled using calltree without being recompiled, and shared libraries
 and plugin architectures are supported.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-tdefile-plugins-trinity
Architecture: any
Section: tde
Replaces: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity file dialog plugins for software development files
 This is a collection of plugins for the TDE file dialog.  These plugins
 extend the file dialog to offer advanced meta-information for source files,
 patch files and Qt Linguist data.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-misc-trinity
Architecture: any
Section: devel
Replaces: kdesdk-misc-trinity (<< 4:14.0.0~)
Breaks: kdesdk-misc-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: libtqt3-mt-dev | libtqt3-dev
Suggests: gimp | xpaint
Description: various goodies from the Trinity Software Development Kit
 This package contains miscellaneous goodies provided with the official
 TDE release to assist with TDE software development.
 .
 Included are:
  - headers to assist with profiling TDE code;
  - a widget style for checking conformity with the TDE/TQt style guide;
  - palettes that match the TDE standard colour palette;
  - a TDE address book plugin that reads the list of TDE CVS accounts.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: tdesdk-scripts-trinity
Architecture: all
Section: devel
Replaces: kdesdk-scripts-trinity (<< 4:14.0.0~)
Breaks: kdesdk-scripts-trinity (<< 4:14.0.0~)
Depends: ${perl:Depends}, ${python3:Depends}
Recommends: automake1.9 | automaken, cvs, gawk
Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html, dmalloc, gdb, tdelibs14-trinity-doc, tqt3-doc, valgrind, devscripts
Enhances: kate-trinity
Description: a set of useful development scripts for Trinity
 This package contains a number of scripts which can be used to help in
 developing TDE-based applications.  Many of these scripts however are
 not specific to TDE, and in particular there are several general-use
 scripts to help users in working with SVN and CVS repositories.
 .
 In addition to these scripts, this package provides:
  - gdb macros for TQt/TDE programming;
  - vim and emacs helper files for TQt/TDE programming;
  - bash and zsh completion controls for TDE apps;
  - valgrind error suppressions for TDE apps.
 .
 This package is part of Trinity, and a component of the TDE SDK module.
 See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.

Package: kmtrace-trinity
Architecture: any
Section: devel
Replaces: kmtrace-trinity (<< 4:14.0.0~)
Breaks: kmtrace-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, less
Description: a Trinity memory leak tracer
 KMtrace is a TDE tool to assist with malloc debugging using glibc's

## tdesdk-trinity 14.2.0~pre107

=== debian/changelog ===
tdesdk-trinity (4:14.2.0~pre107-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 5f76f3b9ba6b08a52e9ad95f15723fdf653ec46d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:13:20 +0100

## tdesdk-trinity 14.2.0~pre108

=== debian/changelog ===
tdesdk-trinity (4:14.2.0~pre108-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 3dd6258e4aacd6fd8f2dfa336e9d9fbf6e6d1707
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 28 Dec 2025 09:25:58 +0100

## tdesdk-trinity 14.2.0~pre110

=== debian/changelog ===
tdesdk-trinity (4:14.2.0~pre110-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 144ca1fc3f10667c80624723c97a31d92998e78b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 09:35:10 +0100

## tdesdk-trinity 14.2.0~pre111

=== debian/changelog ===
tdesdk-trinity (4:14.2.0~pre111-0raspbian12.0.0+6) raspbian-bookworm; urgency=low

  * Automated git build for a803760b4e66183cb6c960b4e4544f83f59400c0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:13:41 +0100

## tdesdk-trinity 14.2.0~pre112

=== debian/changelog ===
tdesdk-trinity (4:14.2.0~pre112-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for f8b36020febf7da9397ea9732b522076851a9d23
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:14:28 +0100

## tdesdk-trinity 14.2.0~pre115

=== debian/changelog ===
tdesdk-trinity (4:14.2.0~pre115-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for e83ccc99e8efb36479bf8214b81114f19f0e6ece
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdesdk

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 10 Feb 2026 18:56:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
 Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
- pkg-config, tdelibs14-trinity-dev, binutils-dev, bison, flex, libfl-dev | flex (<< 2.5.39),
+ pkgconf, tdelibs14-trinity-dev, binutils-dev, bison, flex, libfl-dev | flex (<< 2.5.39),
  tdepim-trinity-dev, libapr1-dev, libtdepim1-trinity-dev,
  libktnef1-trinity-dev, libsvn-dev, libdb-dev,
  libiberty-dev | binutils-dev (<< 2.23.91.20131123-1~), dh-python
@@ -14,8 +14,8 @@
 Package: tdesdk-trinity
 Architecture: all
 Section: tde
-Replaces: kdesdk-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-kde3 (<< 4:14.0.0~), kdesdk-trinity (<< 4:14.0.0~)
 Depends: cervisia-trinity (>= ${source:Version}), kapptemplate-trinity (>= ${source:Version}), kbabel-trinity (>= ${source:Version}), kbugbuster-trinity (>= ${source:Version}), tdecachegrind-trinity (>= ${source:Version}), tdesdk-tdefile-plugins-trinity (>= ${source:Version}), tdesdk-tdeio-plugins-trinity (>= ${source:Version}) | tdesvn-tdeio-plugins-trinity, tdesdk-misc-trinity (>= ${source:Version}), tdesdk-scripts-trinity, kmtrace-trinity (>= ${source:Version}), kompare-trinity (>= ${source:Version}), kspy-trinity (>= ${source:Version}), kuiviewer-trinity (>= ${source:Version}), tdeunittest-trinity (>= ${source:Version}), poxml-trinity (>= ${source:Version}), umbrello-trinity (>= ${source:Version})
 Suggests: tdecachegrind-converters-trinity, kbabel-trinity-dev, tdesdk-trinity-doc-html
 Description: software development kit from the official Trinity release
@@ -30,8 +30,8 @@
 Package: tdesdk-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdesdk-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdesdk-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdesdk-kde3-doc-html (<< 4:14.0.0~), kdesdk-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdesdk-trinity
 Description: Trinity Software Development Kit documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -50,8 +50,8 @@
 Package: cervisia-trinity
 Architecture: any
 Section: devel
-Replaces: cervisia-trinity (<< 4:14.0.0~)
-Breaks: cervisia-trinity (<< 4:14.0.0~)
+Replaces: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
+Breaks: cervisia-kde3 (<< 4:14.0.0~), cervisia-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
 Description: a graphical CVS front end for Trinity
@@ -69,8 +69,8 @@
 Package: kapptemplate-trinity
 Architecture: all
 Section: devel
-Replaces: kapptemplate-trinity (<< 4:14.0.0~)
-Breaks: kapptemplate-trinity (<< 4:14.0.0~)
+Replaces: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
+Breaks: kapptemplate-kde3 (<< 4:14.0.0~), kapptemplate-trinity (<< 4:14.0.0~)
 Recommends: automake1.9 | automaken, tdelibs14-trinity-dev
 Description: creates a framework to develop a Trinity application
  KAppTemplate is a shell script that will create the necessary
@@ -84,8 +84,8 @@
 Package: kbabel-trinity
 Architecture: any
 Section: devel
-Replaces: kbabel-trinity (<< 4:14.0.0~)
-Breaks: kbabel-trinity (<< 4:14.0.0~)
+Replaces: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
+Breaks: kbabel-kde3 (<< 4:14.0.0~), kbabel-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html
 Conflicts: kdeartwork-theme-icon-trinity (<< 4:3.5.13.3~), tdeartwork-theme-icon-trinity (<< 4:14.0.5~)
@@ -106,8 +106,8 @@
 Package: kbabel-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: kbabel-trinity-dev (<< 4:14.0.0~)
-Breaks: kbabel-trinity-dev (<< 4:14.0.0~)
+Replaces: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
+Breaks: kbabel-kde3-dev (<< 4:14.0.0~), kbabel-trinity-dev (<< 4:14.0.0~)
 Depends: kbabel-trinity (= ${source:Version}), tdelibs14-trinity-dev
 Description: PO-file editing suite for Trinity (development files)
  This is a suite of programs for editing translation message files (PO-files).
@@ -128,8 +128,8 @@
 Package: kbugbuster-trinity
 Architecture: any
 Section: devel
-Replaces: kbugbuster-trinity (<< 4:14.0.0~)
-Breaks: kbugbuster-trinity (<< 4:14.0.0~)
+Replaces: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
+Breaks: kbugbuster-kde3 (<< 4:14.0.0~), kbugbuster-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Description: a front end for the Trinity bug tracking system
@@ -143,8 +143,8 @@
 Package: tdecachegrind-trinity
 Architecture: any
 Section: devel
-Replaces: kcachegrind-trinity (<< 4:14.0.0~)
-Breaks: kcachegrind-trinity (<< 4:14.0.0~)
+Replaces: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
+Breaks: kcachegrind-kde3 (<< 4:14.0.0~), kcachegrind-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: valgrind-callgrind-trinity | valgrind-calltree-trinity, graphviz
 Suggests: tdecachegrind-converters-trinity, khelpcenter-trinity, tdesdk-trinity-doc-html
@@ -163,8 +163,8 @@
 Package: tdecachegrind-converters-trinity
 Architecture: all
 Section: devel
-Replaces: kcachegrind-converters-trinity (<< 4:14.0.0~)
-Breaks: kcachegrind-converters-trinity (<< 4:14.0.0~)
+Replaces: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
+Breaks: kcachegrind-converters-kde3 (<< 4:14.0.0~), kcachegrind-converters-trinity (<< 4:14.0.0~)
 Depends: ${perl:Depends}, ${python3:Depends}, php-cli | php5-cli
 Recommends: tdecachegrind-trinity
 Description: format converters for TDECachegrind profiling visualisation tool
@@ -182,8 +182,8 @@
 Package: tdesdk-tdefile-plugins-trinity
 Architecture: any
 Section: tde
-Replaces: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-kfile-plugins-kde3 (<< 4:14.0.0~), kdesdk-kfile-plugins-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Description: Trinity file dialog plugins for software development files
  This is a collection of plugins for the TDE file dialog.  These plugins
@@ -196,8 +196,8 @@
 Package: tdesdk-misc-trinity
 Architecture: any
 Section: devel
-Replaces: kdesdk-misc-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-misc-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-misc-kde3 (<< 4:14.0.0~), kdesdk-misc-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: libtqt3-mt-dev | libtqt3-dev
 Suggests: gimp | xpaint
@@ -217,8 +217,8 @@
 Package: tdesdk-scripts-trinity
 Architecture: all
 Section: devel
-Replaces: kdesdk-scripts-trinity (<< 4:14.0.0~)
-Breaks: kdesdk-scripts-trinity (<< 4:14.0.0~)
+Replaces: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
+Breaks: kdesdk-scripts-kde3 (<< 4:14.0.0~), kdesdk-scripts-trinity (<< 4:14.0.0~)
 Depends: ${perl:Depends}, ${python3:Depends}
 Recommends: automake1.9 | automaken, cvs, gawk
 Suggests: khelpcenter-trinity, tdesdk-trinity-doc-html, dmalloc, gdb, tdelibs14-trinity-doc, tqt3-doc, valgrind, devscripts
@@ -226,23 +226,3 @@
 Description: a set of useful development scripts for Trinity
  This package contains a number of scripts which can be used to help in
  developing TDE-based applications.  Many of these scripts however are
- not specific to TDE, and in particular there are several general-use
- scripts to help users in working with SVN and CVS repositories.
- .
- In addition to these scripts, this package provides:
-  - gdb macros for TQt/TDE programming;
-  - vim and emacs helper files for TQt/TDE programming;
-  - bash and zsh completion controls for TDE apps;
-  - valgrind error suppressions for TDE apps.
- .
- This package is part of Trinity, and a component of the TDE SDK module.
- See the 'tde-trinity' and 'tdesdk-trinity' packages for more information.
-
-Package: kmtrace-trinity
-Architecture: any
-Section: devel
-Replaces: kmtrace-trinity (<< 4:14.0.0~)
-Breaks: kmtrace-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, less
-Description: a Trinity memory leak tracer
- KMtrace is a TDE tool to assist with malloc debugging using glibc's
